Whenever some things uses flash player it gives the error message as “Adobe Flash player was blocked because it is out of date” and nothing works. My Mac runs with Snow Leopard, I tried re-install but doesn't work just the same problem. Is there any fix for this?